/*
 * Copyright 2013, 2014 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.Popups 0.1
import Ubuntu.Components.ListItems 0.1

Dialog {
    id:root
    objectName: "alarmDaysDialog"

    property var alarm

    title: "Choose days"

    ListModel {
        id: daysModel
        objectName: "daysModel"
        ListElement {
            day: "Monday"
            flag: Alarm.Monday
        }
        ListElement {
            day: "Tuesday"
            flag: Alarm.Tuesday
        }
        ListElement {
            day: "Wednesday"
            flag: Alarm.Wednesday
        }
        ListElement {
            day: "Thursday"
            flag: Alarm.Thursday
        }
        ListElement {
            day: "Friday"
            flag: Alarm.Friday
        }
        ListElement {
            day: "Saturday"
            flag: Alarm.Saturday
        }
        ListElement {
            day: "Sunday"
            flag: Alarm.Sunday
        }
    }

    Column {
        anchors { left: contents.left; top: contents.top; right: contents.right }
        height: childrenRect.height
        Repeater {
            model: daysModel
            Standard {
                Label {
                    text: day
                    anchors { verticalCenter: parent.verticalCenter; left: parent.left; leftMargin: units.gu(1) }
                    color: Theme.palette.normal.baseText
                }

                control: Switch {
                    checked: (alarm.daysOfWeek & flag) == flag
                    onCheckedChanged: {
                        if (checked)
                            alarm.daysOfWeek |= flag;
                        else
                            alarm.daysOfWeek &= ~flag;
                    }
                }
            }
        }
    }

    Button {
        text: "Done"
        onClicked: PopupUtils.close(root);
    }
}
