/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Nekhelesh Ramananthan <krnekhelesh@gmail.com>
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import QtQuick.XmlListModel 2.0

// Qml Element to draw the easter egg (sunrise and sunset) on the analogue clock face.
XmlListModel {
    id: sunRiseModel

    // Online API properties
    readonly property string base_url: "http://api.geonames.org/timezone?";
    readonly property string username: "krnekhelesh";

    // Function to form the url string to make the API call
    function getUrlString (latitude, longitude) {
        return (base_url + "lat=" + latitude + "&lng=" + longitude + "&username=" + username);
    }
    
    query: "/geonames/timezone"
    onSourceChanged: reload()
    
    XmlRole { name: "sunriseTime"; query: "sunrise/string()"; isKey: true }
    XmlRole { name: "sunsetTime"; query: "sunset/string()"; isKey: true  }
}
