/*
 * Copyright (C) 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Nekhelesh Ramananthan <krnekhelesh@gmail.com>
 */

import QtQuick 2.0
import U1db 1.0 as U1db

U1db.Document {
    id: sunriseCache
    database: db
    docId: "sunriseCache"
    create: true
    defaults: { "riseTime": "", "setTime": "", "cacheTime": "" }

    // Function to update the sunrise cache values
    function updateCache(date, sunrise, sunset) {
        sunriseCache.contents = {
            riseTime: sunrise,
            setTime: sunset,
            cacheTime: date
        }
    }
}
