/*
 * Copyright (C) 2013, 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Nekhelesh Ramananthan <krnekhelesh@gmail.com>
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.Themes.Ambiance 0.1

TextField {
    id: textLabel

    signal clickedOutside()
    Component.onCompleted: outsideArea.clicked.connect(clickedOutside)

    style: TextFieldStyle {
        background: Item {}
    }
    // #FIXME: The anchoring needs to be done properly
    primaryItem: Image {
        fillMode: Image.PreserveAspectFit
        source: Qt.resolvedUrl("../images/edit_icon.png")
    }

    hasClearButton: false
    color: Theme.palette.normal.baseText
    horizontalAlignment: TextInput.AlignHCenter
    font.pixelSize: FontUtils.sizeToPixels("large")

    InverseMouseArea {
        id: outsideArea
        visible: textLabel.activeFocus
        anchors.fill: parent
    }

    Image {
        id: inputDotImage
        visible:textLabel.focus
        source: Qt.resolvedUrl("../images/dot.svg")
        fillMode: Image.Tile
        anchors { top: textLabel.bottom; left: textLabel.left; right: textLabel.right }
    }

    onActiveFocusChanged: {
        if (activeFocus == false) {
            cursorPosition = 0
        }
    }
}
