/*
 * Copyright (C) 2013, 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Nekhelesh Ramananthan <krnekhelesh@gmail.com>
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

Page {
    id: settingsPage

    visible: false
    title: i18n.tr("Settings")

    Column {
        id: mainColumn

        spacing: units.gu(2)
        anchors {
            fill: parent
            margins: units.gu(2)
        }

        OptionSelector {
            id: timeFormat
            text: "Time Format"
            model: ["12-hour", "24-hour"]
            selectedIndex: appSetting.contents.timeFormat === "12-hour" ? 0 : 1
            onSelectedIndexChanged: {
                var settings = appSetting.contents
                settings.timeFormat = selectedIndex === 0 ? "12-hour" : "24-hour"
                appSetting.contents = settings
            }
        }

        OptionSelector {
            id: timeStyle
            text: "Style"
            model: ["Analogue", "Digital"]
            opacity: 0.5
            enabled: false
            selectedIndex: appSetting.contents.style === "analogue" ? 0 : 1
            onSelectedIndexChanged: {
                var settings = appSetting.contents
                settings.style = selectedIndex === 0 ? "analogue" : "digital"
                appSetting.contents = settings
            }
        }
    }
}
