/*
 * Copyright (C) 2013, 2014 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Nekhelesh Ramananthan <krnekhelesh@gmail.com>
 */

import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: stopwatchBlip

    property int location: 0
    property real radAngle: ((location % 60 * -6) * Math.PI / 180) - Math.PI
    property real distance: 0.50
    property real size: 2

    z: parent.z - 1
    width: units.gu(size); height: units.gu(size)
    radius: width / 2
    anchors.centerIn: parent
    color: Theme.palette.normal.baseText
    antialiasing: true
    visible: false

    // Position the blip at the correct position
    transform: Translate {
        x: parent.width * distance * Math.sin(radAngle)
        y: parent.height * distance * Math.cos(radAngle)
    }

    // Increase the radius and decrease the opacity gradually
    Behavior on location {
        ParallelAnimation {
            running: false
            NumberAnimation { target: stopwatchBlip; property: "size"; from: 1; to: 7; duration: 3500; easing.type: Easing.OutQuad}
            NumberAnimation { target: stopwatchBlip; property: "opacity"; from: 1; to: 0; duration: 3500; easing.type: Easing.OutQuad}
        }
    }
}

